[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.Origin

Original fieldname of the field.

## Declaration

Source position: db.pas line 439

`published property TField.Origin : string read FOrigin write FOrigin;`

## Description

Origin contains the origin of the field in the form TableName.fieldName. This property is filled only if the TDataset descendent or the database engine support retrieval of this property. It can be used to autmatically create update statements, together with the TField.ProviderFlags property.

## See also

TDataset |  | Base class for records-based data-access
TField.ProviderFlags |  | Flags for provider or update support

Documentation generated on: Feb 26 2014